Bug 8564 - Bugs in nonroot mode/CD-Paranoia mode fixed
Bugs in nonroot mode/CD-Paranoia mode fixed
Status: CLOSED CURRENTRELEASE
Product: Red Hat Powertools
Classification: Retired
Component: xcdroast (Show other bugs)
6.1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-01-18 06:28 EST by till.kamppeter
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-02-11 05:38:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Bugfixed version (872.81 KB, application/octet-stream)
2000-01-18 06:32 EST, till.kamppeter
no flags Details

  None (edit)
Description till.kamppeter 2000-01-18 06:28:29 EST
In the 'nonroot' mode of X-CD-Roast 0.96e the child processes called by
X-CD-Roast are running as the calling user and not as 'root'. So most
operations end up in 'Permission denied' (for example when one reads a CD
in 'Copy Data CD' one gets 'Permission denied' when 99% of the CD are
read). This problem appeared probably with the change von bash 1.x to bash
2.x (see 'man 3 system'). I developed the 'nonroot' mode under an old
Linux distribution (SuSE 5.x) and there the problem didn't appear. In
newer distributions (SuSE 6.x, Mandrake 6.1, RedHat 6.x) it appeared.

This problem I have addressed with a new version (0.96ex2) which one can
download the source tarball at

www.xcdroast.org

as

http://www.fh-muenchen.de/home/ze/rz/services/projects/xcdroast/src/xcdroast-0.96ex2.tar.gz

Note that the correct version is stored as xcdroast-0.96ex2.tar.gz.
xcdroast-0.96ex.tar.gz (without the '2' after 'ex') is an older version
which still has bugs.

Also all binary and '.rpm' packages still have bugs.

In this version I have also fixed the problem of the not working progress
bar when using CD-Paranoia. This should work with CD-Paranoia III Alpha
9.5 or newer. I tested with 9.7.

   Till Kamppeter

(author of the 'nonroot' mode of X-CD-Roast)
Comment 1 till.kamppeter 2000-01-18 06:32:59 EST
Created attachment 62 [details]
Bugfixed version
Comment 2 Ngo Than 2000-02-11 05:38:59 EST
xcdroast-0.96ex2 is now in redhat-6.2

Note You need to log in before you can comment on or make changes to this bug.